%define name maui
%define version 3.2.6
%define subrelease p8
%define release	2mdk
%define lib_major 3
%define lib_name %mklibname %{name} %{lib_major}
%define mauihome /var/spool/maui
%define torque_release %(rpm -q libtorque1-devel | cut -d "-" -f 3) 


Summary: 	Maui Scheduler
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
URL: 		http://www.supercluster.org/maui/
Source0: 	http://www.supercluster.org/downloads/maui/%{name}-%{version}%{subrelease}.tar.gz
Source1:	maui-init
Source2:	setup_maui
Source3:	maui.cfg
Source4:	maui-joborga
Patch0:		maui-325-configure.patch.bz2
Patch1:		maui-325-makefile.in.patch.bz2
Patch2:		maui-325-configure-x86_64.patch.bz2
Patch3:		maui-326-sbin.patch.bz2
License:	GPL
Group:		Cluster/Queueing Services 
BuildRequires:	libtorque-devel
prereq:		rpm-helper
BuildRoot:      %{_tmppath}/%{name}-%{version}
Conflicts:	mpatrol

%description
Maui is an advanced job scheduler for use on clusters and supercomputers.
It is a highly configurable tool capable of supporting a large array of
fairness policies, dynamic priorities, extensive reservations, and fairshare.
It is currently in use at many of the leading government and academic labs
throughtout the US and around the world.  It is running on machines ranging
from clusters of a few processors to multi-teraflop supercomputers.

"This product includes software developed for The University of New
Mexico High Performance Computing Education and Research Center for use 
in the Maui Scheduler software.  Maui Scheduler is a trademark of 
Science & Technology Corporation @ UNM"


%package -n %{lib_name}-devel
Summary: Development package with static libs and headers
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: libmaui-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}%{lib_major}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Static libraries and header files required for compiling maui plugins.

%prep
%setup -q
%patch1 -p0
%patch3 -p0

%ifarch x86_64
%patch2 -p0
%endif

%build
# Changing BUILDROOT directory to $RPM_BUILD_ROOT
perl -pi -e "s|BUILDROOT\=|BUILDROOT\=$RPM_BUILD_ROOT|g" $RPM_BUILD_DIR/%name-%version/Makefile.in
%configure --with-pbs=%{_libdir}/torque-%{torque_release}/ --with-spooldir=%{mauihome}

#--with-pbs consider that the pbs directory contains /lib & /include which is not our case
perl -pi -e "s|/usr/lib/torque-%{torque_release}//include|/usr/include/torque-%{torque_release}|" $RPM_BUILD_DIR/%name-%version/Makefile
perl -pi -e "s|/usr/lib/torque-%{torque_release}//lib|/usr/lib/torque-%{torque_release}|" $RPM_BUILD_DIR/%name-%version/Makefile

%make -i

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#Some manual installation
mkdir -p %{buildroot}%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/maui
install -m755 %{SOURCE2} %{buildroot}%{_bindir}/setup_maui
install -m644 %{SOURCE3} %{buildroot}%{_var}/spool/%{name}/maui.cfg.sample
install -m755 %{SOURCE4} %{buildroot}%{_bindir}/joborga

cd %{buildroot}/%{_var}/spool/%{name}/
ln -sf maui.cfg maui-private.cfg

%postun
/usr/sbin/userdel maui
# adjusting /etc/services
perl -pi -e "s|maui_server.*||g" /etc/services

%post
%_post_service maui
# adjusting /etc/services
CHECK_PORT=`grep 42559 /etc/services`
if [ -z "$CHECK_PORT" ]; then
        cat >> /etc/services << EOF
# Port needed by maui server
maui_server        42559/tcp   # maui server 
EOF
fi

echo
echo "This product includes software developed for The University of New
Mexico High Performance Computing Education and Research Center for use
in the Maui Scheduler software.  Maui Scheduler is a trademark of
Science & Technology Corporation @ UNM"
echo

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%_preun_service	maui 

%pre
/usr/sbin/useradd -u 12390 -g pbs -d %{mauihome} -r -s /bin/bash maui -p "" -m > /dev/null 2>&1 ||:

%files
%defattr(-,root,root)
%doc docs/*
%config(noreplace) %{_initrddir}/maui

%defattr(-,maui,root)
%dir %{_var}/spool/%{name}
%{_var}/spool/%{name}/spool
%{_var}/spool/%{name}/stats
%{_var}/spool/%{name}/log
%{_var}/spool/%{name}/traces
%{_var}/spool/%{name}/tools
%{_bindir}/*
%config(noreplace) %{_var}/spool/%{name}/maui*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/*.h

%changelog
* Tue Jul 27 2004 Erwan Velu <erwan@mandrakesoft.com> 3.2.6-2mdk
- P8 release (waow big changes for a patch release !)
- rpmbuildupdate aware
- Patch0 is no more necessary (configure had totally changed)
- Using current torque's version in configuration
- New subpackage (libmaui-devel)
- Removing maui from /etc/services when uninstalling
- Cleaning buildroot in install section (thx aginies for this bug :) )
- Using old maui initscript (made for using a maui user)
- Moving /usr/sbin/maui in /usr/bin (we are using maui user) (Patch3)
- Bzipping patches
- %{_initrddir}/maui back to root.root and not to maui.root :)

* Sun Apr 18 2004 Antoine Ginies <aginies@mandrakesoft.com> 3.2.6-1mdk
- release 3.2.6-p6

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.2.5-23mdk
- Conflict mpatrol

* Tue Feb 17 2004  Erwan Velu <erwans@mandrakesoft.com> 3.2.5-22mdk
- Rebuild with torque 1.0.1p5
- New version p7
* Wed Oct 29 2003  Erwan Velu <erwans@mandrakesoft.com> 3.2.5-21mdk
- Rebuild with latest SPBS
* Tue Aug 19 2003  Erwan Velu <erwans@mandrakesoft.com> 3.2.5-20mdk
- Jumping to "Patch 5" release
- Changing BuildRequires to ScalablePBS :-)
* Fri Jun  6 2003  <aginies@mandrakesoft.com> 3.2.5-19mdk
- adjsut maui.cfg configuration with PDE and PLIST example
* Wed Jun 4 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 3.2.5-18mdk
- adjust maui.cfg 
- fix Buildrequires
* Wed May 28 2003 Erwan Velu <erwan@mandrakesoft.com> 3.2.5-17mdk
- snapshot 16 may
- ifarching patches for x86_64
* Thu Feb 13 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 3.2.5-16mdk
- snapshot 31 jan
* Thu Feb 13 2003 Antoine Ginies <aginies@mandrakesoft.com> 3.2.5-15mdk
- rebuild
* Fri Dec 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-14mdk
- new release version Maui-3.2.5p1 19 dec 2002 
* Thu Dec 19 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-13mdk
- maui snapshot 17 dec 2002 
* Fri Dec 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-12mdk
- rebuild to correct call to undefined function in joborga
* Thu Dec 05 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-11mdk
- version 4 dec 2002 beta2
* Wed Dec 04 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-10mdk
- version 4 dec 2002
* Tue Nov 26 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-9mdk
- version 25 nov
* Thu Nov 21 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-8mdk
- correct generation of list based on /etc/nodes_list
* Wed Nov 20 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-7mdk
- version 3.2.5b1 18 novembre 2002
- add some parameters in maui.cfg
* Thu Nov 14 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-6mdk
- provide maui.cfg.sample and correct setup_maui script
* Thu Nov 14 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-5mdk
- test maui 3.2.5b1
* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-4mdk
- test snap 13 novembre
* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-3mdk
- Fixing tmpJname in J->Name (to try)
* Wed Nov 13 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-2mdk
- Adding debug strings
* Fri Nov 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.2.5-1mdk
- version 3.2.5
* Fri Nov 08 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.0.7-3mdk
- snapshot to correct usr problem
* Thu Nov 07 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.0.7-2mdk
- test
* Mon Oct 28 2002 Clic-dev <clic-dev-public@mandrakesoft.com> 3.0.7-1mdk
- add port in /etc/services and SERVERHOST in maui.cfg
- add samples
- service launch by maui user
- initial rpm for Mandrakesoft
- add setup_maui
